/* Se da o valoare naturala n.
 * Sa se afiseze o matrice patratica n x n avand
 * -  pe diagonala principala caracterul P
 * -  pe diagonala secundara caracterul  s
 * -  int zona de nord carcaterul N
 * -  int zona de E carcaterul E
 * -  int zona de S carcaterul S
 * -  int zona de V carcaterul V
 * 
 * 
 * Rezolvare:
 * 
 *  1. Pe diag. princ: i = j
 *  2. Pe diag. sec:   i + j = n + 1
 *  3. Deasupra diag. princ:  j > i
 *  3. Sub diag. princ:       i > j
 *  4. Deasupra diag. sec:    i + j <= n
 *  5. Sub diag. sec:         i + j >= n + 2
 * 
 * 
 *  A). Zona N: j > i && i + j <= n
 *  B). Zona E: i + j >= n + 2 && j > i
 *  C). Zona S: i > j && i + j >= n + 2
 *  D). Zona V: i > j && i + j <= n
 * 
 */ 
#include <iostream>
using namespace std;

int main()
{
	int n;
	cin >> n;
	
	for (int i = 1; i <= n; ++i)      // pt fiecare linie i
	{
		for (int j = 1; j <= n; ++j)  // parcurg linia i
		{
			// Zona N
			if (j > i && i + j <= n)
				cout << 'N' << ' ';
		
			// Zona E
			if (i + j >= n + 2 && j > i)
				cout << "E ";
				
			// Zona S
			if (i > j && i + j >= n + 2)
				cout << "S ";
				
			// Zona V
			if (i > j && i + j <= n)
				cout << "V ";
				
			// Diag. princip.
			if (i == j)
				cout << "P ";
			
			// Diag. sec.
			if (i != j && i + j == n + 1)
				cout << "C ";
		}
		
		
		cout << '\n';
	}
	
}







